<%@ Page Language="C#" %>
<%@ Import Namespace="System"%>
<%@ Import Namespace="System.Web"%>
<%@ Import Namespace="System.Web.UI" %>

<script runat="server">
    void Page_Load(object sender, EventArgs e)
    {
        System.Data.DataTable dt = V5Shop.Data.DbHelper.ExecuteDataTable("SELECT * FROM Web_Product ORDER BY ID DESC");

        Response.Write("<?xml version=\"1.0\" encoding=\"utf-8\"?><V5Shop>");
        for (int i = 0; i < dt.Rows.Count; i++)
        {
            Response.Write("<Product>");
            Response.Write("<Name><![CDATA[" + dt.Rows[i]["Name"].ToString() + "]]></Name>");
            Response.Write("<Number>" + dt.Rows[i]["Number"].ToString() + "</Number>");
            Response.Write("<MarketPrice>" + dt.Rows[i]["MarketPrice"].ToString() + "</MarketPrice>");
            Response.Write("<MemberPrice>" + dt.Rows[i]["MemberPrice"].ToString() + "</MemberPrice>");
            Response.Write("<Src>" + dt.Rows[i]["SrcDetail"].ToString() + "</Src>");
            Response.Write("<GUID>" + dt.Rows[i]["GUID"].ToString() + "</GUID>");
            Response.Write("<ShortContent><![CDATA[" + dt.Rows[i]["ShortContent"].ToString() + "]]></ShortContent>");
            Response.Write("<Content><![CDATA[" + dt.Rows[i]["Content"].ToString() + "]]></Content>");
            Response.Write("</Product>");
        }
        Response.Write("</V5Shop>");
    }
</script>
